Package org.apache.sysds.runtime.instructions.spark.utils

# Enum Class RDDConverterUtilsExt.RDDConverterTypes

java.lang.Object
java.lang.Enum<RDDConverterUtilsExt.RDDConverterTypes>
org.apache.sysds.runtime.instructions.spark.utils.RDDConverterUtilsExt.RDDConverterTypes

All Implemented Interfaces:
  `Serializable`, `Comparable<RDDConverterUtilsExt.RDDConverterTypes>`, `Constable`

Enclosing class:
  RDDConverterUtilsExt

public static enum RDDConverterUtilsExt.RDDConverterTypes extends Enum<RDDConverterUtilsExt.RDDConverterTypes>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MATRIXENTRY_TO_MATRIXCELL`
`TEXT_TO_MATRIX_CELL`

## Method Summary

Modifier and Type
Method
Description
`static RDDConverterUtilsExt.RDDConverterTypes`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RDDConverterUtilsExt.RDDConverterTypes[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TEXT_TO_MATRIX_CELL

public static final RDDConverterUtilsExt.RDDConverterTypes TEXT_TO_MATRIX_CELL

### MATRIXENTRY_TO_MATRIXCELL

public static final RDDConverterUtilsExt.RDDConverterTypes MATRIXENTRY_TO_MATRIXCELL

## Method Details

### values

public static RDDConverterUtilsExt.RDDConverterTypes[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RDDConverterUtilsExt.RDDConverterTypes valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null